import graph;
import style;
import general;

size(6.5cm, 4.5cm, IgnoreAspect);

draw_system("_rtf_vram", branchformer, label_x=90, label_align=NW);
// draw_system("_rtf_vram", contextnet, label_x=100, label_align=SE);
draw_system("_rtf_vram", fastformer, label_x=60, label_align=NE);
draw_system("_rtf_vram", summary_mixing, label_x=50, label_align=NW);
draw_system("_rtf_vram", summary_mixing_lite, label_x=60, label_align=SE);

xaxis("Utterance length (s)", YZero(extend=false), LeftTicks);
yaxis("Peak VRAM, decoding (GB)", ymin=0, ymax=35, LeftRight, RightTicks);
