import graph;
import style;
import general;

size(6cm, 4.5cm, IgnoreAspect);

draw_system("_time", branchformer, label_x=90, label_align=NW);
draw_system("_time", contextnet, label_x=50, label_align=NW);
draw_system("_time", fastformer, label_x=100, label_align=SE);
draw_system("_time", summary_mixing, label_x=100, label_align=NW);
draw_system("_time", summary_mixing_lite, label_x=20, label_align=SE);

xaxis("Utterance length (s)", YZero(extend=false), LeftTicks);
yaxis("Training time per sentence (s)", ymin=0, ymax=0.8, Left, RightTicks);
