import style;
import graphical;
import draw_summary_mixing;
import branchformer_helpers;

void draw_branchformer() {
    picture[] behind = {new picture, new picture, new picture};

    path attention = draw_at((0,0), attention_box());

    for (int i: new int[] {1, 2}) {
        draw_at(behind[i-1], i * time_plate_offset,
            attention_box(with_text=false));
    }

    path attention_input = attention;
    path summary_mixing_output = attention;

    path attention_lower_part = attention;

    FloatingObject merged_box[] = vector_slices(2);

    path conv = draw_conv(attention_lower_part);

    path main_output;

    path[] merged = draw_next_to(
        combine(combine(attention_input, conv), summary_mixing_output),
        0.7*after_gap, merged_box, reference_bounding_box=true);

    actually_draw_arrow(cut_line_from_to(
            centre(summary_mixing_output) -- (centre(summary_mixing_output).x, centre(merged[0]).y)
            -- centre(merged[0]),
            summary_mixing_output, merged[0]));

    actually_draw_arrow(cut_line_from_to(
            centre(conv) -- (centre(conv).x, centre(merged[1]).y)
            -- centre(merged[1]),
            conv, merged[1]));

    FloatingObject projection_box = process_box("MLP", width_factor=0.8);
    main_output = draw_next_to(combine(merged), after_gap, projection_box);

    draw_arrow(combine(merged), main_output);

    InputVector phantom_input = draw_phantom_input(new path[]{
        conv, attention });

    path add_residual = draw_residual(
        phantom_input.first_corner, conv, main_output);

    draw_plates(behind,
        combine(combine(conv, attention_lower_part), add_residual));
}

draw_branchformer();
