import style;
import graphical;
import draw_summary_mixing;
import branchformer_helpers;

void draw_integrated_branchformer() {
    picture[] behind = {new picture, new picture, new picture};
    SummaryMixingParts summary_mixing = draw_summary_mixing(
        process_box("cgMLP", width_factor=0.9), behind);

    InputVector phantom_input = draw_phantom_input(
        summary_mixing.input_functions);

    FloatingObject merged_box[] = vector_slices(2);

    path add_residual = draw_residual(
        phantom_input.first_corner, summary_mixing.input_functions[0],
        summary_mixing.output_vector);

    draw_plates(behind,
        combine(summary_mixing.combined_lower, add_residual));
}

draw_integrated_branchformer();
