import style;
import graphical;
import draw_summary_mixing;
import branchformer_helpers;

void draw_shadow_vector(picture[] behind, path vector) {
    for (int i: new int[]{1,2}) {
        path shadow = shift(i*time_plate_offset) * vector;
        fill(behind[i-1], shadow, white);
        draw(behind[i-1], shadow, make_phantom_pen(defaultpen));
    }
}

picture[] behind = {new picture, new picture, new picture};
SummaryMixingParts entry_points = draw_summary_mixing(behind);

InputVector input_vector = draw_input_vector(entry_points.input_functions,
    vector("$\InputVector_{\Time}$"));

path output_vector = draw_output_vector(entry_points.output_vector,
    vector("$\OutputVector_{\Time}$"));

// draw_shadow_vector(behind, input_vector.input_vector);
// draw_shadow_vector(behind, output_vector);

draw_time_plates(behind,
    combine(entry_points.combined_lower, entry_points.output_vector),
    attention_plate_base_colour,
    right_margin=0.1 * reflen,
    bottom_margin=0.4 * reflen);
